FROM python:3.11-slim

WORKDIR /app

COPY requirements.txt ./
RUN pip install -r requirements.txt

COPY ./app.py ./

ENTRYPOINT [ "jupyter", "notebook", "--ip=0.0.0.0", "--port=8888". "--allow-root" ]